# Class GroupLayout.ParallelGroup

java.lang.Object
com.codename1.ui.layouts.GroupLayout.Group
com.codename1.ui.layouts.GroupLayout.ParallelGroup

Enclosing class:
  `GroupLayout`

public class GroupLayout.ParallelGroup extends GroupLayout.Group

A `Group` that lays out its elements on top of each other. If a child element is smaller than the provided space it is aligned based on the alignment of the child (if specified) or on the alignment of the ParallelGroup.

##### See also

- #createParallelGroup()

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupLayout.ParallelGroup`
  `add(int pref)`
  Adds a rigid gap.
  `GroupLayout.ParallelGroup`
  `add(int min, int pref, int max)`
  Adds a gap with the specified size.
  `GroupLayout.ParallelGroup`
  `add(int alignment, Component component)`
  Adds the specified Component.
  `GroupLayout.ParallelGroup`
  `add(int alignment, Component component, int min, int pref, int max)`
  Adds the specified `Component`.
  `GroupLayout.ParallelGroup`
  `add(int alignment, GroupLayout.Group group)`
  Adds the specified `Group` as a child of this group.
  `GroupLayout.ParallelGroup`
  `add(Component component)`
  Adds the specified Component.
  `GroupLayout.ParallelGroup`
  `add(Component component, int min, int pref, int max)`
  Adds the specified `Component`.
  `GroupLayout.ParallelGroup`
  `add(GroupLayout.Group group)`
  Adds the specified `Group`.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Method Details

  - ### add

    public GroupLayout.ParallelGroup add(GroupLayout.Group group)

    Adds the specified `Group`.

    ###### Parameters

    - `group`: the Group to add

    ###### Returns

    this Group

  - ### add

    public GroupLayout.ParallelGroup add(Component component)

    Adds the specified Component. If the Component's min/max are different from its pref than the component will be resizable.

    ###### Parameters

    - `component`: the Component to add

    ###### Returns

    this `ParallelGroup`

  - ### add

    public GroupLayout.ParallelGroup add(Component component, int min, int pref, int max)

    Adds the specified `Component`. Min, pref and max can be absolute values, or they can be one of `DEFAULT_SIZE` or `PREFERRED_SIZE`. For example, the following:

          add(component, PREFERRED_SIZE, PREFERRED_SIZE, 1000);

    Forces a max of 1000, with the min and preferred equalling that of the preferred size of `component`.

    ###### Parameters

    - `component`: the Component to add

    - `min`: the minimum size

    - `pref`: the preferred size

    - `max`: the maximum size

    ###### Returns

    this `SequentialGroup`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if min, pref or max are not positive and not one of PREFERRED_SIZE or DEFAULT_SIZE.

  - ### add

    public GroupLayout.ParallelGroup add(int pref)

    Adds a rigid gap.

    ###### Parameters

    - `pref`: the size of the gap

    ###### Returns

    this `ParallelGroup`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if min < 0 or pref < 0 or max < 0 or the following is not meant min <= pref <= max.

  - ### add

    public GroupLayout.ParallelGroup add(int min, int pref, int max)

    Adds a gap with the specified size.

    ###### Parameters

    - `min`: the minimum size of the gap

    - `pref`: the preferred size of the gap

    - `max`: the maximum size of the gap

    ###### Returns

    this `ParallelGroup`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if min < 0 or pref < 0 or max < 0 or the following is not meant min <= pref <= max.

  - ### add

    public GroupLayout.ParallelGroup add(int alignment, GroupLayout.Group group)

    Adds the specified `Group` as a child of this group.

    ###### Parameters

    - `alignment`: the alignment of the Group.

    - `group`: the Group to add

    ###### Returns

    this `ParallelGroup`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if alignment is not one of `LEADING`, `TRAILING` or `CENTER`

  - ### add

    public GroupLayout.ParallelGroup add(int alignment, Component component)

    Adds the specified Component. If the Component's min/max are different from its pref than the component will be resizable.

    ###### Parameters

    - `alignment`: the alignment for the component

    - `component`: the Component to add

    ###### Returns

    this `Group`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if alignment is not one of `LEADING`, `TRAILING` or `CENTER`

  - ### add

    public GroupLayout.ParallelGroup add(int alignment, Component component, int min, int pref, int max)

    Adds the specified `Component`. Min, pref and max can be absolute values, or they can be one of `DEFAULT_SIZE` or `PREFERRED_SIZE`. For example, the following:

          add(component, PREFERRED_SIZE, PREFERRED_SIZE, 1000);

    Forces a max of 1000, with the min and preferred equalling that of the preferred size of `component`.

    ###### Parameters

    - `alignment`: the alignment for the component.

    - `component`: the Component to add

    - `min`: the minimum size

    - `pref`: the preferred size

    - `max`: the maximum size

    ###### Returns

    this `Group`

    ###### Throws

    - `IllegalArgumentException`: @throws IllegalArgumentException if min, pref or max are not positive and not one of PREFERRED_SIZE or DEFAULT_SIZE.